Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# OnigCaseFoldCodeItem Struct Reference

`#include <oniguruma.h>`

## Data Fields
int | byte_len
int | code_len
OnigCodePoint | code [ONIGENC_MAX_COMP_CASE_FOLD_CODE_LEN]

## Detailed Description

Definition at line 135 of file oniguruma.h.

## Field Documentation

int OnigCaseFoldCodeItem::byte_len

Definition at line 136 of file oniguruma.h.

Referenced by expand_case_fold_string_alt(), get_case_fold_codes_by_str(), onigenc_ascii_get_case_fold_codes_by_str(), onigenc_get_case_fold_codes_by_str_with_map(), and onigenc_unicode_get_case_fold_codes_by_str().

OnigCodePoint OnigCaseFoldCodeItem::code[ONIGENC_MAX_COMP_CASE_FOLD_CODE_LEN]

Definition at line 138 of file oniguruma.h.

Referenced by expand_case_fold_string_alt(), get_case_fold_codes_by_str(), onigenc_ascii_get_case_fold_codes_by_str(), onigenc_get_case_fold_codes_by_str_with_map(), and onigenc_unicode_get_case_fold_codes_by_str().

int OnigCaseFoldCodeItem::code_len

Definition at line 137 of file oniguruma.h.

Referenced by expand_case_fold_string_alt(), get_case_fold_codes_by_str(), onigenc_ascii_get_case_fold_codes_by_str(), onigenc_get_case_fold_codes_by_str_with_map(), and onigenc_unicode_get_case_fold_codes_by_str().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h